Independent extensions:

Feeds


Site
News

Installation

The Cargo Maven Plugin is found at (groupId:artifactId) org.codehaus.cargo:cargo-maven2-plugin.

This plugin works and is tested with Maven 3.x. Please note that though we have no explicit blockage of any Maven 2.x versions, the Codehaus Cargo Maven 2 / Maven 3 Plugin is not regularly tested on that old version.

Releases

The Codehaus Cargo Maven 2 / Maven 3 Plugin (and all other Cargo artifacts) are hosted at Maven central. As Maven is configured for Maven central by default, no additional installation or repository configuration is necessary to use the plugin.

Snapshots

There are also snapshot releases of the Codehaus Cargo Maven 2 / Maven 3 plugin (and all other Cargo artifacts) available through the Sonatype snapshot repository. Snapshot releases are deployed automatically by the Continous Integration system.

If you want use snapshot versions of the Cargo Maven Plugin, you'll need to add this repository to your POM, settings file, or repository manager:

[...]
<pluginRepositories>
  <pluginRepository>
    <id>sonatype-snapshots</id>
    <name>Sonatype Snapshots</name>
    <url>https://oss.sonatype.org/content/repositories/snapshots/</url>
    <releases>
      <enabled>false</enabled>
    </releases>
    <snapshots>
      <enabled>true</enabled>
    </snapshots>
  </pluginRepository>
</pluginRepositories>

<repositories>
  <repository>
    <id>sonatype-snapshots</id>
    <name>Sonatype Snapshots</name>
    <url>https://oss.sonatype.org/content/repositories/snapshots/</url>
    <releases>
      <enabled>false</enabled>
    </releases>
    <snapshots>
      <enabled>true</enabled>
    </snapshots>
  </repository>
</repositories>
[...]

<pluginRepository> and <repository> declarations

Note that you need to declare both the pluginRepository and repository, due to the way how the CARGO plugin's container artifact loading mechanism works.

Then, you should decide which SNAPSHOT version to use:

  • To find out what the latest SNAPSHOT version is, you can simply look at the root POM file for Codehaus Cargo.
  • Configure the Cargo Maven Plugin by specifying the SNAPSHOT version you want.

For example, to use version 1.6.9-SNAPSHOT you would declare something similar to the following in your POM:

[...]
  <build>
    <plugins>
      <plugin>
        <groupId>org.codehaus.cargo</groupId>
        <artifactId>cargo-maven2-plugin</artifactId>
        <version>1.6.9-SNAPSHOT</version>
[...]
      </plugin>
[...]
    </plugins>
  </build>
[...]
Copyright 2004-2018. All rights reserved unless otherwise noted.
Click here to read our privacy and cookie policy